> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/pigmentation-algorithm.md).

# Pigmentation Algorithm

What the Pigmentation Algorithm measures, the facial areas it covers, and how to read the Pigmentation Score in Face Metrics 2.0.

## About Algorithm

1. This Algorithm estimates the visible presence and severity of local patches of skin of size up to several cm, that are darker in color than the normal surrounding skin due to the local excess of melanin.
2. This Algorithm estimates indicated skin health parameters on: forehead, right cheek, left cheek, nose and chin area.
3. The Main Metric for this Algorithm is the Pigmentation Score, with a range from 0 to 100.
   1. Values from 80 to 100 are considered as a relatively good skin condition.
   2. Values from 50 to 80 are considered as visible pigmentation spots presence.
   3. Values below 50 are considered as an alerting skin condition, that might require specialist attention.
   4. Pigmentation Score is a non-linear combination of the Submetrics.
4. There are several Submetrics for this Algorithm:
   * Number of pigmentation spots.
   * Average intensity of pigmentation.
   * Average size of pigmentation spots.
   * Standard deviation of pigmentation spots size.
   * Pigmentation density score — the ratio of skin area covered by detected pigmented spots.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Pigmentation Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/pigmentation.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/pigmentation-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
